/* $Id: IBreakCheck.java 1650911 2015-01-11 16:20:23Z kwright $ */

/**
* Licensed to the Apache Software Foundation (ASF) under one or more
* contributor license agreements. See the NOTICE file distributed with
* this work for additional information regarding copyright ownership.
* The ASF licenses this file to You under the Apache License, Version 2.0
* (the "License"); you may not use this file except in compliance with
* the License. You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/
package org.apache.manifoldcf.connectorcommon.interfaces;

/** Allow for abort checks during long waits.
*/
public interface IBreakCheck
{
  /** Obtain the maximum time (in milliseconds) that a wait should occur
  * before checking for an abort.  Also check for the abort and throw a BreakException
  * if the abort should take place.
  */
  public long abortCheck()
    throws BreakException, InterruptedException;

}
